{% extends 'shared/_dashboard.html' %}
{% load static %}
{% load widget_tweaks %}

{% block styles %}
<style type="text/css">
    
.deneb-responsive {
    width: 100% !important;
    height: 100% !important;
}
</style>
{% endblock %}

{% block body %}
<div class="container-fluid">
    <div class="row">
        <div class="col-12">

            <h1>Account Management</h1>
            <nav class="breadcrumb-container d-none d-sm-block d-lg-inline-block" aria-label="breadcrumb">
                <ol class="breadcrumb pt-0">
                    <li class="breadcrumb-item">
                        <a href="{% url 'dashboard:home' %}">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="{% url 'dashboard:application-list' %}">Applications </a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="{% url 'dashboard:application-edit' project.application.sku %}">Application ID
                            {{ project.application.sku|truncatechars:10 }} </a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="{% url 'dashboard:application-project-edit' project.application.sku project.sku %}">Project ID 
                            {{ project.sku|truncatechars:10 }} </a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">Preview</li>
                </ol>
            </nav>
            <div class="separator mb-5"></div>
        </div>
    </div>
    <div class="row">
        <div class="col-12 col-md-12 col-xl-8 col-left">
            <div class="card mb-4">
                <div class="lightbox">
                    <a href="#">
                    {% if project.cover %}
                        <img alt="detail" src="{{project.cover.url}}" class="responsive border-0 card-img-top mb-3" />
                    {% else %}
                        <img src="https://via.placeholder.com/1024" alt="{{ project.title }}" class="responsive border-0 card-img-top mb-3" />

                    {% endif %}
                        
                    </a>
                </div>
                <div class="card-body">
                    <div class="ck-responsive-img mb-5">
                        <h2 class="card-title">{{project.title}}</h2>
                        {{project.summary|safe}}
                        {{project.content|safe}}
                    </div>


                </div>
            </div>
        </div>

        <div class="col-12 col-md-12 col-xl-4 col-right">

            <div class="card mb-4">
                <div class="card-body">
                    <h5 class="card-title">Application Process</h5>


                    <div class="container">
                        <div class="billing__main__content__step ">
                            <ul id="step-list">
                                {% for step in project.application.steps.all %}
                                    <li class="option {% if step.state == 'c' %}active{% endif %}"
                                        for="{{ step.get_step_display }}" data-step="{{ forloop.counter }}">
                                        <a href="#">
                                            <span class="default"><i
                                                    class="fa fa-{% if step.state == 'c' %}user{% else %}envelope{% endif %}"
                                                    aria-hidden="true"></i></span>
                                            <span class="done-icon"><i class="fa fa-check" aria-hidden="true"></i></span>
                                            <p>{{ step.get_step_display  }}</p>
                                        </a>
                                    </li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>




                </div>





            </div>
        </div>
    </div>
</div>
{% endblock %}
</body>

</html>